Skip to main content
GET
/
api
/
v1
/
clusters
/
digitalocean
/
{cluster_id}
/
nodes
/
{node_id}
Get Node Detail Endpoint
import requests

url = "https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/nodes/{node_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/nodes/{node_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/nodes/{node_id} \
--header 'Authorization: Bearer <token>'
{
  "created_at": "<string>",
  "definition": {},
  "dependencies": {},
  "groups": {},
  "id": "<string>",
  "is_deleted": true,
  "kind": "<string>",
  "name": "<string>",
  "relationships": {},
  "state": "<string>",
  "updated_at": "<string>",
  "data": {},
  "info": {},
  "node_group": "<string>",
  "role": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid>
required
node_id
string<uuid>
required

Response

Successful Response

created_at
string
required
definition
Definition · object
required
dependencies
Dependencies · object
required
groups
Groups · object
required
id
string<uuid4>
required
is_deleted
boolean
required
kind
string
required
name
string
required
relationships
Relationships · object
required
state
string
required
updated_at
string
required
data
Data · object | null
info
Info · object | null
node_group
string | null
role
string | null